-- Questa sp aggiorna la data fine validità del profilo del cliente aggiungendo tre anni alla data di inizio validità 
CREATE procedure [C6StagingPeriodico].[AGGIORNA_DATAFINEVALIDITAPROFILO]
AS
BEGIN
  update a set [DTFINVAL] = 
      case when [DTINVAL] = 0 then 0
      else CONVERT(VARCHAR(10),dateadd(year,3,convert(datetime,convert(varchar,DTINVAL))),112) end
      from
   [C6StampeCentralizzate].[C6StagingPeriodico].[WSEIAN2] a
 where dttrim =  c6martperiodico.getTrimestre2(getDate(),0)  
END